Bug 1452333 - Error when executing a button assigned to a button group
Summary: Error when executing a button assigned to a button group
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Tim Wade
QA Contact: Shveta
URL:
Whiteboard: ssui
Depends On: 1443691
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-18 17:43 UTC by Satoe Imaishi
Modified: 2017-05-31 15:13 UTC (History)
8 users (show)

Fixed In Version: 5.8.0.16
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1443691
Environment:
Last Closed: 2017-05-31 15:13:33 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-05-18 17:51:15 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/2528ee7d6d6cb60c91ab8584f3fb445da8005e95

commit 2528ee7d6d6cb60c91ab8584f3fb445da8005e95
Author:     Alberto Bellotti <abellotti@users.noreply.github.com>
AuthorDate: Wed Apr 26 14:09:26 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu May 18 13:47:28 2017 -0400

    Merge pull request #14845 from imtayadeway/bug/invoking-grouped-generic-custom-actions
    
    Ensure grouped generic custom buttons can be invoked
    (cherry picked from commit ba157f1927ab1192b45dce54d4f1243d25bbda4d)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1452333

 app/models/service_template.rb           | 12 +++++++++---
 spec/requests/api/custom_actions_spec.rb | 19 +++++++++++++++++++
 2 files changed, 28 insertions(+), 3 deletions(-)

Comment 3 Shveta 2017-05-23 19:03:43 UTC
Fixed.
Verified in 5.8.0.16.20170522163900_28fa952

Comment 5 errata-xmlrpc 2017-05-31 15:13:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.